<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class ReadAtTextColumn extends TextColumn
{
    public static function create(): static
    {
        return static::make('read_at')
            ->label('وضعیت خواندن')
            ->badge()
            ->color(fn ($record) => $record->isUnreadForUser(auth()->id()) ? 'danger' : 'success')
            ->getStateUsing(fn ($record) => $record->isUnreadForUser(auth()->id()) ? 'خوانده نشده' : 'خوانده شده')
            ->toggleable()
            ->translateLabel();
    }
}
